Package: org.apache.groovy.groovysh

## [Groovy] Class CommandAlias

- org.apache.groovy.groovysh.CommandAlias

-     class CommandAlias
      extends CommandSupport

  Provides simple command aliasing.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CommandSupport` | `NEWLINE, io, log, messages, registry, shell`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `targetName`

  - Inherited properties
    Properties inherited from class | Properties
    --- | ---
    `class CommandSupport` | `aliases, hidden, name, shortcut`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CommandAlias(Groovysh shell, String name, String shortcut, String target)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected List<jline.console.completer.Completer>` | `createCompleters()`
    `` | `Object` | `execute(List<String> args)`
    `` | `String` | `getDescription()`
    `` | `String` | `getHelp()`
    `` | `boolean` | `getHidden()`
    `` | `Command` | `getTarget()`
    `` | `String` | `getUsage()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CommandSupport` | `alias, assertNoArguments, createCompleters, fail, fail, getAliases, getBinding, getBuffer, getBuffers, getClassLoader, getCompleter, getDescription, getHelp, getHidden, getHistory, getImports, getName, getShortcut, getUsage, getVariables`

- - ### Property Detail

    - #### final String targetName

  - ### Constructor Detail

    - #### CommandAlias(Groovysh shell, String name, String shortcut, String target)

  - ### Method Detail

    - #### @Override
      protected List<jline.console.completer.Completer> createCompleters()

    - #### @Override
      Object execute(List<String> args)

    - #### @Override
      String getDescription()

    - #### @Override
      String getHelp()

    - #### @Override
      boolean getHidden()

    - #### Command getTarget()

    - #### @Override
      String getUsage()